#!/usr/bin/env python
#-*- coding: utf-8 -*-

import rospy
import math
import copy
import moveit_commander
import moveit_msgs.msg
from geometry_msgs.msg import Quaternion, Pose, PoseStamped, Vector3

#################################################
#Main Part
#################################################
def main():
  #Initialization of Node
  rospy.init_node("moveit_tutorial_node")

  #Configuration for MoveIt!
  robot = moveit_commander.RobotCommander()
  #Display of Group Name
  print "Robot Groups:", robot.get_group_names()
  print "Robot State:", robot.get_current_state()

  #Store the objects of each group name
  rarm = moveit_commander.MoveGroupCommander("rarm")
  larm = moveit_commander.MoveGroupCommander("larm")
  upper_body = moveit_commander.MoveGroupCommander("upper_body")
  rarm_with_waist = moveit_commander.MoveGroupCommander("rarm_with_waist")

  #Set Pose to Home Position
  joint_goal = upper_body.get_current_joint_values()
  for i in range(0, len(joint_goal)):
    joint_goal[i] = 0
  joint_goal[6] = -3
  joint_goal[16] = -3
  upper_body.go(joint_goal, wait=True)

  #Right Arm Joint Control
  #Set joint Goal
  joint_goal = rarm.get_current_joint_values()
  #Set elbow joint of Right Arm to 90[deg]
  joint_goal[3] = -1.57
  #Plan and Execute
  print "Right Arm:", rarm.go(joint_goal, wait = True)
  #Display of joint status for Right Arm
  print ""
  print "Right Arm Joint Status:", rarm.get_current_joint_values()

if __name__ == '__main__':
  try:
    main()
  except rospy.ROSInterruptException:
    pass
